Index: src/input.cpp
===================================================================
--- src/input.cpp	(revision 457467)
+++ src/input.cpp	(working copy)
@@ -21,7 +21,7 @@
 #include "input.h"
 #include "kdebug.h"
 
-Input::Input(karamba* k, int x, int y, int w, int h):
+Input::Input(KarambaWidget* k, int x, int y, int w, int h):
   Meter(k, x, y, w, h)
 {
   edit = new SKLineEdit((QWidget*)k, this);
Index: src/richtextlabel.h
===================================================================
--- src/richtextlabel.h	(revision 457467)
+++ src/richtextlabel.h	(working copy)
@@ -19,14 +19,14 @@
 #include <qfontmetrics.h>
 #include <qrect.h>
 #include <qsize.h>
-#include "karamba.h"
+#include "karambawidget.h"
 
 class RichTextLabel : public Meter
 {
     Q_OBJECT
   public:
-    RichTextLabel(karamba*);
-    RichTextLabel(karamba* k, int x, int y, int w, int h);
+    RichTextLabel(KarambaWidget*);
+    RichTextLabel(KarambaWidget* k, int x, int y, int w, int h);
     ~RichTextLabel();
 
     void setText(QString text, bool linkUnderline = false);
Index: src/graph.cpp
===================================================================
--- src/graph.cpp	(revision 457467)
+++ src/graph.cpp	(working copy)
@@ -13,7 +13,7 @@
 #include "graph.h"
 #include "graph.moc"
 
-Graph::Graph(karamba* k, int x, int y, int w, int h, int nbrPts)
+Graph::Graph(KarambaWidget* k, int x, int y, int w, int h, int nbrPts)
     :   Meter(k, x, y, w, h),
         lastValue(0),
         ptPtr(0)
Index: src/task_python.cpp
===================================================================
--- src/task_python.cpp	(revision 457467)
+++ src/task_python.cpp	(working copy)
@@ -28,7 +28,7 @@
 
 #include <Python.h>
 #include <qobject.h>
-#include "karamba.h"
+#include "karambawidget.h"
 #include "meter.h"
 #include "meter_python.h"
 #include "task_python.h"
@@ -36,7 +36,7 @@
 // This does something with a task, such as minimize or close it
 int performTaskAction(long widget, long ctask, long action)
 {
-  karamba* currTheme = (karamba*)widget;
+  KarambaWidget* currTheme = (KarambaWidget*)widget;
   Task* currTask = 0;
 
   TaskList taskList = currTheme -> taskManager.tasks();
@@ -120,7 +120,7 @@
 // Return type is a Python List
 PyObject* getTaskInfo(long widget, long ctask)
 {
-  karamba* currTheme = (karamba*)widget;
+  KarambaWidget* currTheme = (KarambaWidget*)widget;
   Task* currTask = 0;
   TaskList taskList = currTheme -> taskManager.tasks();
   foreach (Task *task, taskList)
@@ -207,7 +207,7 @@
 // Return type is a Python List
 PyObject* getStartupInfo(long widget, long cstartup)
 {
-    karamba* currTheme = (karamba*)widget;
+    KarambaWidget* currTheme = (KarambaWidget*)widget;
     Startup* currentStartup = (Startup*) cstartup;
     Startup* startup = 0;
 
@@ -283,7 +283,7 @@
 // It returns a String List of task names
 PyObject* getTaskNames(long widget)
 {
-    karamba* currTheme = (karamba*)widget;
+    KarambaWidget* currTheme = (KarambaWidget*)widget;
     PyObject* pList = PyList_New(0);
     PyObject* pString;
 
@@ -313,7 +313,7 @@
 // This gets a system task list
 PyObject* getTaskList(long widget)
 {
-    karamba* currTheme = (karamba*)widget;
+    KarambaWidget* currTheme = (KarambaWidget*)widget;
     PyObject* pList = PyList_New(0);
     PyObject* pString;
 
@@ -340,7 +340,7 @@
 // This gets a system startup list
 PyObject* getStartupList(long widget)
 {
-    karamba* currTheme = (karamba*)widget;
+    KarambaWidget* currTheme = (KarambaWidget*)widget;
     PyObject* pList = PyList_New(0);
     PyObject* pString;
 
Index: src/karambaapp.h
===================================================================
--- src/karambaapp.h	(revision 457467)
+++ src/karambaapp.h	(working copy)
@@ -16,7 +16,7 @@
 
 #define karambaApp ((KarambaApplication*)qApp)
 
-class karamba;
+class KarambaWidget;
 class KarambaIface;
 class KCmdLineArgs;
 class ThemesDlg;
@@ -60,9 +60,9 @@
     dcopIface_stub* dcopStub() { return dcopIfaceStub; };
     QWidget* parentWindow() { return (QWidget*)themeListWindow; };
 
-    void addKaramba(karamba* k, bool reloading = false);
-    void deleteKaramba(karamba* k, bool reloading = false);
-    bool hasKaramba(karamba* k);
+    void addKaramba(KarambaWidget* k, bool reloading = false);
+    void deleteKaramba(KarambaWidget* k, bool reloading = false);
+    bool hasKaramba(KarambaWidget* k);
 
     static bool lockKaramba();
     static void unlockKaramba();
Index: src/menu_python.cpp
===================================================================
--- src/menu_python.cpp	(revision 457467)
+++ src/menu_python.cpp	(working copy)
@@ -29,14 +29,14 @@
 #include <Python.h>
 #include <QObject>
 
-#include "karamba.h"
+#include "karambawidget.h"
 #include "meter.h"
 #include "meter_python.h"
 #include "menu_python.h"
 
 long createMenu(long widget)
 {
-    karamba* currTheme = (karamba*)widget;
+    KarambaWidget* currTheme = (KarambaWidget*)widget;
 
     KPopupMenu* tmp = new KPopupMenu(currTheme);
     currTheme->menuList.append (tmp );
@@ -59,7 +59,7 @@
     return Py_BuildValue((char*)"l", createMenu(widget));
 }
 
-bool menuExists(karamba* currTheme, KPopupMenu* menu)
+bool menuExists(KarambaWidget* currTheme, KPopupMenu* menu)
 {
     bool foundMenu = false;
     KPopupMenu* tmp;
@@ -82,7 +82,7 @@
 
 long deleteMenu(long widget, long menu)
 {
-    karamba* currTheme = (karamba*)widget;
+    KarambaWidget* currTheme = (KarambaWidget*)widget;
     KPopupMenu* tmp = (KPopupMenu*)menu;
 
     currTheme->menuList.removeAll(tmp);
@@ -104,7 +104,7 @@
 
 long addMenuItem(long widget, long menu, QString text, QString icon)
 {
-    karamba* currTheme = (karamba*)widget;
+    KarambaWidget* currTheme = (KarambaWidget*)widget;
     KPopupMenu* tmp = (KPopupMenu*)menu;
 
     long id = 0;
@@ -137,7 +137,7 @@
 
 long addMenuSeparator(long widget, long menu)
 {
-    karamba* currTheme = (karamba*)widget;
+    KarambaWidget* currTheme = (KarambaWidget*)widget;
     KPopupMenu* tmp = (KPopupMenu*)menu;
 
     long id = 0;
@@ -163,7 +163,7 @@
 
 long removeMenuItem(long widget, long menu, long id)
 {
-    karamba* currTheme = (karamba*)widget;
+    KarambaWidget* currTheme = (KarambaWidget*)widget;
     KPopupMenu* tmp = (KPopupMenu*)menu;
 
     if(menuExists(currTheme,tmp))
@@ -191,7 +191,7 @@
 
 long popupMenu(long widget, long menu, long x, long y)
 {
-    karamba* currTheme = (karamba*)widget;
+    KarambaWidget* currTheme = (KarambaWidget*)widget;
     KPopupMenu* tmp = (KPopupMenu*)menu;
 
     if(menuExists(currTheme,tmp))
Index: src/config_python.cpp
===================================================================
--- src/config_python.cpp	(revision 457467)
+++ src/config_python.cpp	(working copy)
@@ -28,7 +28,7 @@
 
 #include <Python.h>
 #include <qobject.h>
-#include "karamba.h"
+#include "karambawidget.h"
 #include "meter.h"
 #include "meter_python.h"
 
@@ -37,7 +37,7 @@
 // API-Function addMenuConfigOption
 long addMenuConfigOption(long widget, QString key, QString name)
 {
-    karamba* currTheme = (karamba*)widget;
+    KarambaWidget* currTheme = (KarambaWidget*)widget;
     currTheme -> addMenuConfigOption(key, name);
 
     return 1;
@@ -67,7 +67,7 @@
 
 long setMenuConfigOption(long widget, QString key, bool value)
 {
-    karamba* currTheme = (karamba*)widget;
+    KarambaWidget* currTheme = (KarambaWidget*)widget;
 
     return currTheme->setMenuConfigOption(key, value);
 }
@@ -95,7 +95,7 @@
 
 long readMenuConfigOption(long widget, QString key)
 {
-    karamba* currTheme = (karamba*)widget;
+    KarambaWidget* currTheme = (KarambaWidget*)widget;
 
     return currTheme -> readMenuConfigOption(key);
 }
@@ -123,7 +123,7 @@
 // API-Function writeConfigEntry
 long writeConfigEntry(long widget, QString key, QString value)
 {
-    karamba* currTheme = (karamba*)widget;
+    KarambaWidget* currTheme = (KarambaWidget*)widget;
 
     currTheme -> config -> setGroup("theme");
     currTheme -> config -> writeEntry(key, value);
@@ -156,7 +156,7 @@
 // API-Function readConfigEntry
 QVariant readConfigEntry(long widget, QString key)
 {
-    karamba* currTheme = (karamba*)widget;
+    KarambaWidget* currTheme = (KarambaWidget*)widget;
 
     currTheme->config->setGroup("theme");
     return currTheme->config->readEntry(key);
Index: src/meter.cpp
===================================================================
--- src/meter.cpp	(revision 457467)
+++ src/meter.cpp	(working copy)
@@ -9,14 +9,14 @@
  ***************************************************************************/
 #include "meter.h"
 
-Meter::Meter(karamba* k, int ix, int iy, int iw, int ih):
+Meter::Meter(KarambaWidget* k, int ix, int iy, int iw, int ih):
   boundingBox(ix, iy, iw, ih), leftButtonAction(""), middleButtonAction(""),
   rightButtonAction(""), clickable(true), hidden(0), minValue(0), maxValue(0),
   color(0,0,0), m_karamba(k)
 {
 }
 
-Meter::Meter(karamba* k):
+Meter::Meter(KarambaWidget* k):
   boundingBox(0, 0, 0, 0), leftButtonAction(""), middleButtonAction(""),
   rightButtonAction(""), clickable(true), hidden(0), minValue(0), maxValue(0),
   color(0,0,0), m_karamba(k)
Index: src/meter_python.cpp
===================================================================
--- src/meter_python.cpp	(revision 457467)
+++ src/meter_python.cpp	(working copy)
@@ -14,7 +14,7 @@
 
 #include <Python.h>
 #include <qobject.h>
-#include "karamba.h"
+#include "karambawidget.h"
 #include "karambaapp.h"
 #include "meter.h"
 #include "meter_python.h"
@@ -34,7 +34,7 @@
     PyErr_SetString(PyExc_ValueError, "widget pointer was 0.");
     return false;
   }
-  if (!karambaApp->hasKaramba((karamba*)widget))
+  if (!karambaApp->hasKaramba((KarambaWidget*)widget))
   {
     QString tmp;
 
@@ -52,7 +52,7 @@
     PyErr_SetString(PyExc_ValueError, "meter pointer was 0.");
     return false;
   }
-  if (!((karamba*)widget)->hasMeter((Meter*)meter))
+  if (!((KarambaWidget*)widget)->hasMeter((Meter*)meter))
   {
     QString tmp;
 
@@ -126,7 +126,7 @@
 
 long getMeter(long widget, char* name)
 {
-  karamba* theme = (karamba*)widget;
+  KarambaWidget* theme = (KarambaWidget*)widget;
   
   foreach (QObject *it, theme->meterList)
   {
@@ -300,7 +300,7 @@
   if (!checkKarambaAndMeter(widget, meter, type.ascii()))
     return NULL;
   return Py_BuildValue((char*)"s",
-                       ((karamba*)widget)->getSensor((Meter*)meter).ascii());
+                       ((KarambaWidget*)widget)->getSensor((Meter*)meter).ascii());
 }
 
 PyObject* py_setSensor(PyObject *, PyObject *args, QString type)
@@ -312,7 +312,7 @@
     return NULL;
   if (!checkKarambaAndMeter(widget, meter, type.ascii()))
     return NULL;
-  ((karamba*)widget)->setSensor(LineParser(s), (Meter*)meter);
+  ((KarambaWidget*)widget)->setSensor(LineParser(s), (Meter*)meter);
   return Py_BuildValue((char*)"l", 1);
 }
 
Index: src/imagelabel_python.cpp
===================================================================
--- src/imagelabel_python.cpp	(revision 457467)
+++ src/imagelabel_python.cpp	(working copy)
@@ -29,14 +29,14 @@
 #include <Python.h>
 #include <QObject>
 
-#include "karamba.h"
+#include "karambawidget.h"
 #include "imagelabel.h"
 #include "meter_python.h"
 #include "lineparser.h"
 
 #include "imagelabel_python.h"
 
-ImageLabel* createImageLabel(karamba *theme, long x, long y,
+ImageLabel* createImageLabel(KarambaWidget *theme, long x, long y,
                              char* path, bool bg)
 {
     QString file;
@@ -84,7 +84,7 @@
         return NULL;
     }
 
-    ImageLabel *tmp = createImageLabel((karamba*)widget, x, y, text, 0);
+    ImageLabel *tmp = createImageLabel((KarambaWidget*)widget, x, y, text, 0);
 
     return (Py_BuildValue((char*)"l", (long)tmp));
 }
@@ -103,7 +103,7 @@
         return NULL;
     }
 
-    ImageLabel *tmp = createImageLabel((karamba*)widget, x, y, text, 1);
+    ImageLabel *tmp = createImageLabel((KarambaWidget*)widget, x, y, text, 1);
 
     return (Py_BuildValue((char*)"l", (long)tmp));
 }
@@ -127,7 +127,7 @@
     }
 
     //get the specified task and insure it exists
-    TaskList taskList = ((karamba*)widget)->taskManager.tasks();
+    TaskList taskList = ((KarambaWidget*)widget)->taskManager.tasks();
     Task* currTask = 0;
     foreach (Task *task, taskList)
     {
@@ -148,7 +148,7 @@
 
     //retrieve the QPixmap that represents this image
     QPixmap iconPixmap = KWin::icon(currTask->window());
-    ImageLabel *tmp = createImageLabel((karamba*)widget, x, y, 0, 0);
+    ImageLabel *tmp = createImageLabel((KarambaWidget*)widget, x, y, 0, 0);
     tmp->setValue(iconPixmap);
 
     return (Py_BuildValue((char*)"l", (long)tmp));
@@ -166,12 +166,12 @@
         return NULL;
     }
 
-    ((karamba*)widget)->deleteMeterFromSensors((Meter*)meter);
-    ((karamba*)widget)->clickList.removeAll((Meter*)meter);
-    ((karamba*)widget)->imageList.removeAll((Meter*)meter);
+    ((KarambaWidget*)widget)->deleteMeterFromSensors((Meter*)meter);
+    ((KarambaWidget*)widget)->clickList.removeAll((Meter*)meter);
+    ((KarambaWidget*)widget)->imageList.removeAll((Meter*)meter);
 
     return Py_BuildValue((char*)"l",
-        ((karamba*)widget)->meterList.removeAll((Meter*)meter));
+        ((KarambaWidget*)widget)->meterList.removeAll((Meter*)meter));
 }
 
 PyObject* py_getThemeImage(PyObject *self, PyObject *args)
Index: src/textlabel.cpp
===================================================================
--- src/textlabel.cpp	(revision 457467)
+++ src/textlabel.cpp	(working copy)
@@ -12,7 +12,7 @@
 #include <stdlib.h>
 #include "textlabel.h"
 
-TextLabel::TextLabel(karamba *k, int x,int y,int w,int h):
+TextLabel::TextLabel(KarambaWidget *k, int x,int y,int w,int h):
   Meter(k, x,y,w,h), alignment(Qt::AlignLeft), clip(0), bgColor(0, 0, 0),
   lineHeight(0), shadow(0), scrollSpeed(0, 0), scrollPos(0, 0), scrollGap(0),
   scrollPause(0), pauseCounter(0), scrollType(ScrollNone)
@@ -30,7 +30,7 @@
     }
 }
 
-TextLabel::TextLabel(karamba *k):
+TextLabel::TextLabel(KarambaWidget *k):
   Meter(k, 0, 0, 0, 0), alignment(Qt::AlignLeft), clip(0), bgColor(0, 0, 0),
   lineHeight(0), shadow(0), scrollSpeed(0, 0), scrollPos(0, 0), scrollGap(0),
   scrollPause(0), pauseCounter(0), scrollType(ScrollNone)
Index: src/textlabel_python.cpp
===================================================================
--- src/textlabel_python.cpp	(revision 457467)
+++ src/textlabel_python.cpp	(working copy)
@@ -28,7 +28,7 @@
 
 #include <Python.h>
 #include <qobject.h>
-#include "karamba.h"
+#include "karambawidget.h"
 #include "textlabel.h"
 #include "meter_python.h"
 #include "textlabel_python.h"
@@ -42,10 +42,10 @@
   if (!checkKaramba(widget))
     return NULL;
   TextLabel *tmp =
-      new TextLabel((karamba*)widget, (int)x, (int)y, (int)w, (int)h);
+      new TextLabel((KarambaWidget*)widget, (int)x, (int)y, (int)w, (int)h);
   tmp->setValue(PyString2QString(text));
-  tmp->setTextProps(((karamba*)widget)->getDefaultTextProps());
-  ((karamba*)widget)->meterList.append(tmp);
+  tmp->setTextProps(((KarambaWidget*)widget)->getDefaultTextProps());
+  ((KarambaWidget*)widget)->meterList.append(tmp);
   return (Py_BuildValue((char*)"l", (long)tmp));
 }
 
@@ -57,10 +57,10 @@
   if (!checkKarambaAndMeter(widget, meter, "TextLabel"))
     return NULL;
 
-  ((karamba*)widget)->deleteMeterFromSensors((Meter*)meter);
-  ((karamba*)widget)->clickList.removeAll((Meter*)meter);
+  ((KarambaWidget*)widget)->deleteMeterFromSensors((Meter*)meter);
+  ((KarambaWidget*)widget)->clickList.removeAll((Meter*)meter);
   return Py_BuildValue((char*)"l",
-      ((karamba*)widget)->meterList.removeAll((Meter*)meter));
+      ((KarambaWidget*)widget)->meterList.removeAll((Meter*)meter));
 }
 
 PyObject* py_getThemeText(PyObject *self, PyObject *args)
Index: src/richtextlabel_python.cpp
===================================================================
--- src/richtextlabel_python.cpp	(revision 457467)
+++ src/richtextlabel_python.cpp	(working copy)
@@ -28,7 +28,7 @@
 
 #include <Python.h>
 #include <qobject.h>
-#include "karamba.h"
+#include "karambawidget.h"
 #include "richtextlabel.h"
 #include "meter_python.h"
 #include "richtextlabel_python.h"
@@ -42,11 +42,11 @@
     return NULL;
   if (!checkKaramba(widget))
     return NULL;
-  RichTextLabel *tmp = new RichTextLabel((karamba*)widget);
+  RichTextLabel *tmp = new RichTextLabel((KarambaWidget*)widget);
   tmp->setText(PyString2QString(text), underline);
-  tmp->setTextProps(((karamba*)widget)->getDefaultTextProps());
-  ((karamba*)widget)->meterList.append(tmp);
-  ((karamba*)widget)->clickList.append(tmp);
+  tmp->setTextProps(((KarambaWidget*)widget)->getDefaultTextProps());
+  ((KarambaWidget*)widget)->meterList.append(tmp);
+  ((KarambaWidget*)widget)->clickList.append(tmp);
   return (Py_BuildValue((char*)"l", (long)tmp));
 }
 
@@ -58,10 +58,10 @@
   if (!checkKarambaAndMeter(widget, meter, "RichTextLabel"))
     return NULL;
 
-  ((karamba*)widget)->deleteMeterFromSensors((Meter*)meter);
-  ((karamba*)widget)->clickList.removeAll((Meter*)meter);
+  ((KarambaWidget*)widget)->deleteMeterFromSensors((Meter*)meter);
+  ((KarambaWidget*)widget)->clickList.removeAll((Meter*)meter);
   return Py_BuildValue((char*)"l",
-      ((karamba*)widget)->meterList.removeAll((Meter*)meter));
+      ((KarambaWidget*)widget)->meterList.removeAll((Meter*)meter));
 }
 
 PyObject* py_getThemeRichText(PyObject *self, PyObject *args)
Index: src/karambaapp.cpp
===================================================================
--- src/karambaapp.cpp	(revision 457467)
+++ src/karambaapp.cpp	(working copy)
@@ -27,7 +27,7 @@
 #include "karambainterface.h"
 #include "karambaapp.h"
 #include "dcopinterface_stub.h"
-#include "karamba.h"
+#include "karambawidget.h"
 #include "superkarambasettings.h"
 
 int KarambaApplication::fd = -1;
@@ -119,7 +119,7 @@
 
   //Create theme list window.
   //This will function as the main window for the tray icon
-  themeListWindow = new ThemesDlg;
+  themeListWindow = new ThemesDlg();
 
   //Set up systray icon
   sysTrayIcon = new KSystemTray(themeListWindow);
@@ -160,14 +160,14 @@
   {
     foreach (QObject *k, karambaList)
     {
-      ((karamba*)k)->showMenuExtension();
+      ((KarambaWidget*)k)->showMenuExtension();
     }
   }
   else
   {
     foreach (QObject *k, karambaList)
     {
-      ((karamba*)k)->hideMenuExtension();
+      ((KarambaWidget*)k)->hideMenuExtension();
     }
   }
 }
@@ -261,9 +261,9 @@
 
   for(QStringList::Iterator it = lst.begin(); it != lst.end(); ++it )
   {
-    karamba *mainWin = 0;
+    KarambaWidget *mainWin = 0;
 
-    mainWin = new karamba(*it , false);
+    mainWin = new KarambaWidget(*it , false);
     mainWin->show();
     result = true;
   }
@@ -272,7 +272,7 @@
   return result;
 }
 
-void KarambaApplication::addKaramba(karamba* k, bool reloading)
+void KarambaApplication::addKaramba(KarambaWidget* k, bool reloading)
 {
   if(!reloading && karambaApp->dcopStub())
   {
@@ -283,7 +283,7 @@
   karambaList.append(k);
 }
 
-void KarambaApplication::deleteKaramba(karamba* k, bool reloading)
+void KarambaApplication::deleteKaramba(KarambaWidget* k, bool reloading)
 {
   if(!reloading && karambaApp->dcopStub())
     karambaApp->dcopStub()->themeClosed(
@@ -291,7 +291,7 @@
   karambaList.removeAll(k);
 }
 
-bool KarambaApplication::hasKaramba(karamba* k)
+bool KarambaApplication::hasKaramba(KarambaWidget* k)
 {
   return karambaList.count(k) > 0;
 }
Index: src/input_python.cpp
===================================================================
--- src/input_python.cpp	(revision 457467)
+++ src/input_python.cpp	(working copy)
@@ -30,7 +30,7 @@
 #include <Python.h>
 #include <QObject>
 
-#include "karamba.h"
+#include "karambawidget.h"
 #include "meter.h"
 #include "meter_python.h"
 
@@ -50,13 +50,13 @@
         return NULL;
     }
 
-    Input *tmp = new Input((karamba*)widget, (int)x, (int)y, (int)w, (int)h);
+    Input *tmp = new Input((KarambaWidget*)widget, (int)x, (int)y, (int)w, (int)h);
     tmp->setValue(PyString2QString(text));
-    tmp->setTextProps(((karamba*)widget)->getDefaultTextProps());
-    ((karamba*)widget)->meterList.append(tmp);
+    tmp->setTextProps(((KarambaWidget*)widget)->getDefaultTextProps());
+    ((KarambaWidget*)widget)->meterList.append(tmp);
     tmp->show();
 
-    ((karamba*)widget)->makeActive();
+    ((KarambaWidget*)widget)->makeActive();
 
     return (Py_BuildValue((char*)"l", (long)tmp));
 }
@@ -74,9 +74,9 @@
         return NULL;
     }
 
-    bool result = ((karamba*)widget)->meterList.removeAll((Meter*)meter);
+    bool result = ((KarambaWidget*)widget)->meterList.removeAll((Meter*)meter);
 
-    ((karamba*)widget)->makePassive();
+    ((KarambaWidget*)widget)->makePassive();
 
     return Py_BuildValue((char*)"l", result);
 }
Index: src/karamba_python.h
===================================================================
--- src/karamba_python.h	(revision 457467)
+++ src/karamba_python.h	(working copy)
@@ -29,7 +29,7 @@
 class KPopupMenu;
 class Task;
 class Startup;
-class karamba;
+class KarambaWidget;
 class Meter;
 struct _object;
 typedef struct _object PyObject;
@@ -58,27 +58,27 @@
   static void shutdownPython();
 
   bool isExtensionLoaded() { return pythonThemeExtensionLoaded; };
-  bool initWidget(karamba* k);
-  bool widgetUpdated(karamba* k);
-  bool widgetClosed(karamba* k);
-  bool menuOptionChanged(karamba* k, QString key, bool value);
-  bool meterClicked(karamba* k, Meter* meter, int button);
-  bool meterClicked(karamba* k, QString anchor, int button);
-  bool widgetClicked(karamba* k, int x, int y, int button);
-  bool keyPressed(karamba* k, const Meter* meter, const QString& text);
-  bool widgetMouseMoved(karamba* k, int x, int y, int button);
-  bool menuItemClicked(karamba* k, KPopupMenu* menu, long id);
-  bool activeTaskChanged(karamba* k, Task* t);
-  bool taskAdded(karamba* k, Task* t);
-  bool taskRemoved(karamba* k, Task* t);
-  bool startupAdded(karamba* k, Startup* t);
-  bool startupRemoved(karamba* k, Startup* t);
-  bool commandOutput(karamba* k, int pid, char *buffer);
-  bool commandFinished(karamba* k, int pid);
-  bool itemDropped(karamba* k, QString text);
-  bool systrayUpdated(karamba* k);
-  bool desktopChanged(karamba* k, int desktop);
-  bool wallpaperChanged(karamba* k, int desktop);
+  bool initWidget(KarambaWidget* k);
+  bool widgetUpdated(KarambaWidget* k);
+  bool widgetClosed(KarambaWidget* k);
+  bool menuOptionChanged(KarambaWidget* k, QString key, bool value);
+  bool meterClicked(KarambaWidget* k, Meter* meter, int button);
+  bool meterClicked(KarambaWidget* k, QString anchor, int button);
+  bool widgetClicked(KarambaWidget* k, int x, int y, int button);
+  bool keyPressed(KarambaWidget* k, const Meter* meter, const QString& text);
+  bool widgetMouseMoved(KarambaWidget* k, int x, int y, int button);
+  bool menuItemClicked(KarambaWidget* k, KPopupMenu* menu, long id);
+  bool activeTaskChanged(KarambaWidget* k, Task* t);
+  bool taskAdded(KarambaWidget* k, Task* t);
+  bool taskRemoved(KarambaWidget* k, Task* t);
+  bool startupAdded(KarambaWidget* k, Startup* t);
+  bool startupRemoved(KarambaWidget* k, Startup* t);
+  bool commandOutput(KarambaWidget* k, int pid, char *buffer);
+  bool commandFinished(KarambaWidget* k, int pid);
+  bool itemDropped(KarambaWidget* k, QString text);
+  bool systrayUpdated(KarambaWidget* k);
+  bool desktopChanged(KarambaWidget* k, int desktop);
+  bool wallpaperChanged(KarambaWidget* k, int desktop);
 };
 
 #endif // KARAMBA_PYTHON_H
Index: src/showdesktop.cpp
===================================================================
--- src/showdesktop.cpp	(revision 457467)
+++ src/showdesktop.cpp	(working copy)
@@ -67,9 +67,7 @@
   {
     NETWinInfo inf(QX11Info::display(), w, QX11Info::appRootWindow(),
                    NET::XAWMState | NET::WMWindowType);
-
-    NET::WindowType windowType = inf.windowType(NET_ALL_TYPES_MASK);
-
+    NET::WindowType windowType = inf.windowType(NET::AllTypesMask);
     if ((windowType == NET::Normal || windowType == NET::Unknown)
         && inf.mappingState() == NET::Visible )
     {
Index: src/themesdlg.cpp
===================================================================
--- src/themesdlg.cpp	(revision 457467)
+++ src/themesdlg.cpp	(working copy)
@@ -23,7 +23,7 @@
 #include "themesdlg.h"
 #include "themewidget.h"
 #include "kwidgetlistbox.h"
-#include "karamba.h"
+#include "karambawidget.h"
 #include "sknewstuff.h"
 
 #include "superkarambasettings.h"
@@ -180,7 +180,7 @@
     ThemeFile* tf = w->themeFile();
     if(tf)
     {
-      (new karamba(tf->file(), false))->show();
+      (new KarambaWidget(tf->file(), false))->show();
     }
   }
 }
@@ -195,7 +195,7 @@
   {
     ThemeFile file(*it);
     if(file.isValid())
-      (new karamba(*it, false))->show();
+      (new KarambaWidget(*it, false))->show();
   }
 }
 
Index: src/clickarea.cpp
===================================================================
--- src/clickarea.cpp	(revision 457467)
+++ src/clickarea.cpp	(working copy)
@@ -11,7 +11,7 @@
 #include "clickarea.h"
 #include "clickarea.moc"
 
-ClickArea::ClickArea(karamba* k, int x, int y, int w, int h )
+ClickArea::ClickArea(KarambaWidget* k, int x, int y, int w, int h )
         : Meter(k, x, y, w, h )
 {
     value = "";
Index: src/meter.h
===================================================================
--- src/meter.h	(revision 457467)
+++ src/meter.h	(working copy)
@@ -19,15 +19,15 @@
 
 #include <qfileinfo.h>
 
-class karamba;
+class KarambaWidget;
 
 class Meter : public QObject
 {
 Q_OBJECT
 public:
 
-  Meter(karamba* k, int ix,int iy,int iw,int ih);
-  Meter(karamba* k);
+  Meter(KarambaWidget* k, int ix,int iy,int iw,int ih);
+  Meter(KarambaWidget* k);
   virtual ~Meter();
   virtual int getX();
   virtual int getY();
@@ -90,7 +90,7 @@
   int maxValue;
 
   QColor color;
-  karamba* m_karamba;
+  KarambaWidget* m_karamba;
 };
 
 #endif // METER_H
Index: src/karambainterface.h
===================================================================
--- src/karambainterface.h	(revision 457467)
+++ src/karambainterface.h	(working copy)
@@ -13,7 +13,7 @@
 
 #include "dcopinterface.h"
 
-class karamba;
+class KarambaWidget;
 class ThemeListWindow;
 
 class KarambaIface: virtual public dcopIface
@@ -21,7 +21,7 @@
 public:
   KarambaIface();
   ~KarambaIface();
-  karamba* getKaramba(QString name);
+  KarambaWidget* getKaramba(QString name);
   ThemesDlg* getThemeWnd();
 
 public slots:
Index: src/karambarootpixmap.h
===================================================================
--- src/karambarootpixmap.h	(revision 457467)
+++ src/karambarootpixmap.h	(working copy)
@@ -14,7 +14,7 @@
 #include <krootpixmap.h>
 #include <ksharedpixmap.h>
 
-//#include "karamba.h"
+//#include "karambawidget.h"
 
 /**
 @author Hans Karlsson
Index: src/textlabel.h
===================================================================
--- src/textlabel.h	(revision 457467)
+++ src/textlabel.h	(working copy)
@@ -27,8 +27,8 @@
     typedef enum ScrollType { ScrollNone, ScrollNormal,
                               ScrollBackAndForth, ScrollOnePass };
 
-    TextLabel(karamba *k, int x,int y,int w,int h);
-    TextLabel(karamba *k);
+    TextLabel(KarambaWidget *k, int x,int y,int w,int h);
+    TextLabel(KarambaWidget *k);
     ~TextLabel();
 
     void setTextProps( TextField* );
Index: src/misc_python.cpp
===================================================================
--- src/misc_python.cpp	(revision 457467)
+++ src/misc_python.cpp	(working copy)
@@ -29,7 +29,7 @@
 #include <Python.h>
 #include <qobject.h>
 #include "kdebug.h"
-#include "karamba.h"
+#include "karambawidget.h"
 #include "karambaapp.h"
 #include "themefile.h"
 #include "themelocale.h"
@@ -40,7 +40,7 @@
 /* now a method we need to expose to Python */
 long acceptDrops(long widget)
 {
-  karamba* currTheme = (karamba*)widget;
+  KarambaWidget* currTheme = (KarambaWidget*)widget;
 
   currTheme->setAcceptDrops(true);
 
@@ -88,7 +88,7 @@
   if (!checkKaramba(widget))
     return NULL;
 
-  karamba* currTheme = (karamba*)widget;
+  KarambaWidget* currTheme = (KarambaWidget*)widget;
 
   currTheme->currProcess = new KProcess;
 
@@ -127,7 +127,7 @@
 
 long attachClickArea(long widget, long meter, QString LeftButton, QString MiddleButton, QString RightButton)
 {
-  karamba* currTheme = (karamba*) widget;
+  KarambaWidget* currTheme = (KarambaWidget*) widget;
   Meter* currMeter = (Meter*) meter;
 
   // Look if currMeter has an ClickArea attached.
@@ -225,7 +225,7 @@
 /* now a method we need to expose to Python */
 const char* getThemePath(long widget)
 {
-  karamba* currTheme = (karamba*)widget;
+  KarambaWidget* currTheme = (KarambaWidget*)widget;
 
   return currTheme->theme().path().ascii();
 }
@@ -248,7 +248,7 @@
   if (!checkKaramba(widget))
     return NULL;
   return Py_BuildValue((char*)"s",
-      ((karamba*)widget)->theme().locale()->language().ascii());
+      ((KarambaWidget*)widget)->theme().locale()->language().ascii());
 }
 
 PyObject* py_read_theme_file(PyObject *, PyObject *args)
@@ -259,7 +259,7 @@
     return NULL;
   if (!checkKaramba(widget))
     return NULL;
-  karamba* k = (karamba*)widget;
+  KarambaWidget* k = (KarambaWidget*)widget;
   QByteArray ba = k->theme().readThemeFile(file);
   return PyString_FromStringAndSize(ba.data(), ba.size());
 }
@@ -267,7 +267,7 @@
 /* now a method we need to expose to Python */
 long createClickArea(long widget, long x, long y, long w, long h, char* text) {
 
-  karamba* currTheme = (karamba*)widget;
+  KarambaWidget* currTheme = (KarambaWidget*)widget;
   ClickArea *tmp = new ClickArea(currTheme, x, y, w, h );
   QString onclick;
 
@@ -296,7 +296,7 @@
 {
 
   QString filename;
-  karamba* currTheme = 0;
+  KarambaWidget* currTheme = 0;
 
   filename.setAscii(path);
 
@@ -304,7 +304,7 @@
 
   if( file.exists() )
     {
-      currTheme = new karamba( filename, false );
+      currTheme = new KarambaWidget( filename, false );
       currTheme->show();
     }
 
@@ -326,14 +326,14 @@
     return NULL;
   if (!checkKaramba(widget))
     return NULL;
-  ((karamba*)widget)->reloadConfig();
+  ((KarambaWidget*)widget)->reloadConfig();
   return Py_BuildValue((char*)"l", 1);
 }
 
 /* now a method we need to expose to Python */
 int getNumberOfDesktops(long widget)
 {
-  karamba* currTheme = (karamba*)widget;
+  KarambaWidget* currTheme = (KarambaWidget*)widget;
 
   return currTheme->kWinModule->numberOfDesktops();
 }
@@ -351,7 +351,7 @@
 /* now a method we need to expose to Python */
 int translateAll(long widget, int x, int y)
 {
-  karamba* currTheme = (karamba*)widget;
+  KarambaWidget* currTheme = (KarambaWidget*)widget;
 
   foreach (QObject *it2, currTheme->meterList)
   {
@@ -383,7 +383,7 @@
 /* now a method we need to expose to Python */
 int show(long widget)
 {
-  karamba* currTheme = (karamba*)widget;
+  KarambaWidget* currTheme = (KarambaWidget*)widget;
   currTheme->show();
   return 0;
 }
@@ -401,7 +401,7 @@
 /* now a method we need to expose to Python */
 int hide(long widget)
 {
-  karamba* currTheme = (karamba*)widget;
+  KarambaWidget* currTheme = (KarambaWidget*)widget;
   currTheme->hide();
   return 0;
 }
Index: src/karamba_python.cpp
===================================================================
--- src/karamba_python.cpp	(revision 457467)
+++ src/karamba_python.cpp	(working copy)
@@ -450,128 +450,128 @@
   return result;
 }
 
-bool KarambaPython::initWidget(karamba* k)
+bool KarambaPython::initWidget(KarambaWidget* k)
 {
   PyObject* pArgs = Py_BuildValue((char*)"(l)", k);
   return callObject("initWidget", pArgs);
 }
 
-bool KarambaPython::widgetUpdated(karamba* k)
+bool KarambaPython::widgetUpdated(KarambaWidget* k)
 {
   PyObject* pArgs = Py_BuildValue((char*)"(l)", k);
   return callObject("widgetUpdated", pArgs);
 }
 
-bool KarambaPython::widgetClosed(karamba* k)
+bool KarambaPython::widgetClosed(KarambaWidget* k)
 {
   PyObject* pArgs = Py_BuildValue((char*)"(l)", k);
   return callObject("widgetClosed", pArgs);
 }
 
-bool KarambaPython::menuOptionChanged(karamba* k, QString key, bool value)
+bool KarambaPython::menuOptionChanged(KarambaWidget* k, QString key, bool value)
 {
   PyObject* pArgs = Py_BuildValue((char*)"(lsi)", k, key.ascii(), (int)value);
   return callObject("menuOptionChanged", pArgs);
 }
 
-bool KarambaPython::menuItemClicked(karamba* k, KPopupMenu* menu, long id)
+bool KarambaPython::menuItemClicked(KarambaWidget* k, KPopupMenu* menu, long id)
 {
   PyObject* pArgs = Py_BuildValue((char*)"(lll)", k, menu, id);
   return callObject("menuItemClicked", pArgs);
 }
 
-bool KarambaPython::meterClicked(karamba* k, Meter* meter, int button)
+bool KarambaPython::meterClicked(KarambaWidget* k, Meter* meter, int button)
 {
   PyObject* pArgs = Py_BuildValue((char*)"(lli)", k, meter, button);
   return callObject("meterClicked", pArgs);
 }
 
-bool KarambaPython::meterClicked(karamba* k, QString anchor, int button)
+bool KarambaPython::meterClicked(KarambaWidget* k, QString anchor, int button)
 {
   PyObject* pArgs = Py_BuildValue((char*)"(lsi)", k, anchor.ascii(), button);
   return callObject("meterClicked", pArgs);
 }
 
-bool KarambaPython::widgetClicked(karamba* k, int x, int y, int button)
+bool KarambaPython::widgetClicked(KarambaWidget* k, int x, int y, int button)
 {
   PyObject* pArgs = Py_BuildValue((char*)"(liii)", k, x, y, button);
   return callObject("widgetClicked", pArgs);
 }
 
-bool KarambaPython::keyPressed(karamba* k, const Meter* meter,
+bool KarambaPython::keyPressed(KarambaWidget* k, const Meter* meter,
                                const QString& text)
 {
   PyObject* pArgs = Py_BuildValue((char*)"(lls)", k, meter, text.ascii());
   return callObject("keyPressed", pArgs);
 }
 
-bool KarambaPython::widgetMouseMoved(karamba* k, int x, int y, int button)
+bool KarambaPython::widgetMouseMoved(KarambaWidget* k, int x, int y, int button)
 {
   PyObject* pArgs = Py_BuildValue((char*)"(liii)", k, x, y, button);
   return callObject("widgetMouseMoved", pArgs);
 }
 
-bool KarambaPython::activeTaskChanged(karamba* k, Task* t)
+bool KarambaPython::activeTaskChanged(KarambaWidget* k, Task* t)
 {
   PyObject* pArgs = Py_BuildValue((char*)"(ll)", k, t);
   return callObject("activeTaskChanged", pArgs);
 }
 
-bool KarambaPython::taskAdded(karamba* k, Task* t)
+bool KarambaPython::taskAdded(KarambaWidget* k, Task* t)
 {
   PyObject* pArgs = Py_BuildValue((char*)"(ll)", k, t);
   return callObject("taskAdded", pArgs);
 }
 
-bool KarambaPython::taskRemoved(karamba* k, Task* t)
+bool KarambaPython::taskRemoved(KarambaWidget* k, Task* t)
 {
   PyObject* pArgs = Py_BuildValue((char*)"(ll)", k, t);
   return callObject("taskRemoved", pArgs);
 }
 
-bool KarambaPython::startupAdded(karamba* k, Startup* t)
+bool KarambaPython::startupAdded(KarambaWidget* k, Startup* t)
 {
   PyObject* pArgs = Py_BuildValue((char*)"(ll)", k, t);
   return callObject("startupAdded", pArgs);
 }
 
-bool KarambaPython::startupRemoved(karamba* k, Startup* t)
+bool KarambaPython::startupRemoved(KarambaWidget* k, Startup* t)
 {
   PyObject* pArgs = Py_BuildValue((char*)"(ll)", k, t);
   return callObject("startupRemoved", pArgs);
 }
 
-bool KarambaPython::commandOutput(karamba* k, int pid, char *buffer)
+bool KarambaPython::commandOutput(KarambaWidget* k, int pid, char *buffer)
 {
   PyObject* pArgs = Py_BuildValue((char*)"(lis)", k, pid, buffer);
   return callObject("commandOutput", pArgs);
 }
 
-bool KarambaPython::commandFinished(karamba* k, int pid)
+bool KarambaPython::commandFinished(KarambaWidget* k, int pid)
 {
   PyObject* pArgs = Py_BuildValue((char*)"(li)", k, pid);
   return callObject("commandFinished", pArgs);
 }
 
-bool KarambaPython::itemDropped(karamba* k, QString text)
+bool KarambaPython::itemDropped(KarambaWidget* k, QString text)
 {
   PyObject* pArgs = Py_BuildValue((char*)"(ls)", k, text.ascii());
   return callObject("itemDropped", pArgs);
 }
 
-bool KarambaPython::systrayUpdated(karamba* k)
+bool KarambaPython::systrayUpdated(KarambaWidget* k)
 {
   PyObject* pArgs = Py_BuildValue((char*)"(l)", k);
   return callObject("systrayUpdated", pArgs);
 }
 
-bool KarambaPython::desktopChanged(karamba* k, int desktop)
+bool KarambaPython::desktopChanged(KarambaWidget* k, int desktop)
 {
   PyObject* pArgs = Py_BuildValue((char*)"(li)", k, desktop);
   return callObject("desktopChanged", pArgs);
 }
 
-bool KarambaPython::wallpaperChanged(karamba* k, int desktop)
+bool KarambaPython::wallpaperChanged(KarambaWidget* k, int desktop)
 {
   PyObject* pArgs = Py_BuildValue((char*)"(li)", k, desktop);
   return callObject("wallpaperChanged", pArgs);
Index: src/bar.cpp
===================================================================
--- src/bar.cpp	(revision 457467)
+++ src/bar.cpp	(working copy)
@@ -8,12 +8,12 @@
  *   (at your option) any later version.                                   *
  ***************************************************************************/
 
-#include "karamba.h"
+#include "karambawidget.h"
 
 #include "bar.h"
 #include "bar.moc"
 
-Bar::Bar(karamba* k, int x, int y, int w, int h)
+Bar::Bar(KarambaWidget* k, int x, int y, int w, int h)
     : Meter(k, x, y, w, h),
       value(0),
       barValue(0),
Index: src/bar_python.cpp
===================================================================
--- src/bar_python.cpp	(revision 457467)
+++ src/bar_python.cpp	(working copy)
@@ -26,7 +26,7 @@
 
 #include <Python.h>
 #include <qobject.h>
-#include "karamba.h"
+#include "karambawidget.h"
 #include "meter.h"
 #include "meter_python.h"
 
@@ -45,13 +45,13 @@
         return NULL;
     }
 
-    Bar *tmp = new Bar((karamba*)widget, x,y,w,h);
+    Bar *tmp = new Bar((KarambaWidget*)widget, x,y,w,h);
     if (text && text[0] != '\0')
     {
         tmp->setImage(text);
     }
 
-    ((karamba*)widget)->meterList.append(tmp);
+    ((KarambaWidget*)widget)->meterList.append(tmp);
     return (Py_BuildValue((char*)"l", (long)tmp));
 }
 
@@ -67,10 +67,10 @@
         return NULL;
     }
 
-    ((karamba*)widget)->deleteMeterFromSensors((Meter*)meter);
+    ((KarambaWidget*)widget)->deleteMeterFromSensors((Meter*)meter);
 
     return Py_BuildValue((char*)"l",
-        ((karamba*)widget)->meterList.removeAll((Meter*)meter));
+        ((KarambaWidget*)widget)->meterList.removeAll((Meter*)meter));
 }
 
 PyObject* py_getThemeBar(PyObject *self, PyObject *args)
Index: src/karambasessionmanaged.cpp
===================================================================
--- src/karambasessionmanaged.cpp	(revision 457467)
+++ src/karambasessionmanaged.cpp	(working copy)
@@ -23,7 +23,7 @@
 #include <kapplication.h>
 #include <kconfig.h>
 #include "karambasessionmanaged.h"
-#include "karamba.h"
+#include "karambawidget.h"
 
 bool KSessionManaged::saveState(QSessionManager&)
 {
@@ -37,7 +37,7 @@
   {
     if (QString(w->name()).startsWith("karamba"))
     {
-      karamba* k = (karamba*) w;
+      KarambaWidget* k = (KarambaWidget*) w;
       openThemes += QFileInfo(k->theme().file()).absFilePath();
       k->writeConfigData();
       openThemes += ";";
Index: src/karambainterface.cpp
===================================================================
--- src/karambainterface.cpp	(revision 457467)
+++ src/karambainterface.cpp	(working copy)
@@ -8,7 +8,7 @@
  *   (at your option) any later version.                                   *
  ***************************************************************************/
 
-#include "karamba.h"
+#include "karambawidget.h"
 #include "karambainterface.h"
 #include "themesdlg.h"
 
@@ -20,15 +20,15 @@
 {
 }
 
-karamba* KarambaIface::getKaramba(QString name)
+KarambaWidget* KarambaIface::getKaramba(QString name)
 {
-  karamba* result = 0;
+  KarambaWidget* result = 0;
 
   foreach (QWidget *w, QApplication::allWidgets())
   {
     if (QString(w->name()).startsWith("karamba"))
     {
-      karamba* k = (karamba*) w;
+      KarambaWidget* k = (KarambaWidget*) w;
       if(k->theme().name() == name)
       {
         result = k;
@@ -59,13 +59,13 @@
   QFileInfo file(filename);
   if(file.exists())
   {
-    (new karamba(filename, false))->show();
+    (new KarambaWidget(filename, false))->show();
   }
 }
 
 void KarambaIface::closeTheme(QString name)
 {
-  karamba* k;
+  KarambaWidget* k;
 
   while(k = getKaramba(name))
   {
Index: src/systray_python.cpp
===================================================================
--- src/systray_python.cpp	(revision 457467)
+++ src/systray_python.cpp	(working copy)
@@ -28,14 +28,14 @@
 
 #include <Python.h>
 #include <qobject.h>
-#include "karamba.h"
+#include "karambawidget.h"
 #include "meter.h"
 #include "meter_python.h"
 #include "systray_python.h"
 
 long moveSystray(long widget, long x, long y, long w, long h)
 {
-  karamba* currTheme = (karamba*)widget;
+  KarambaWidget* currTheme = (KarambaWidget*)widget;
 
   if (currTheme->systray != 0) {
     currTheme->systray->move((int)x,(int)y);
@@ -59,7 +59,7 @@
 /* now a method we need to expose to Python */
 long showSystray(long widget)
 {
-  karamba* currTheme = (karamba*)widget;
+  KarambaWidget* currTheme = (KarambaWidget*)widget;
 
   if (currTheme->systray != 0)
   {
@@ -81,7 +81,7 @@
 /* now a method we need to expose to Python */
 long hideSystray(long widget)
 {
-  karamba* currTheme = (karamba*)widget;
+  KarambaWidget* currTheme = (KarambaWidget*)widget;
 
   if (currTheme->systray != 0)
   {
@@ -103,7 +103,7 @@
 /* now a method we need to expose to Python */
 long createSystray(long widget, long x, long y, long w, long h)
 {
-  karamba* currTheme = (karamba*)widget;
+  KarambaWidget* currTheme = (KarambaWidget*)widget;
 
   //Don't create more than one systray
   if (currTheme->systray == 0) {
@@ -132,7 +132,7 @@
 /* now a method we need to expose to Python */
 long getCurrentWindowCount(long widget)
 {
-  karamba* currTheme = (karamba*)widget;
+  KarambaWidget* currTheme = (KarambaWidget*)widget;
   int num;
 
   num = 0;
@@ -157,7 +157,7 @@
 /* now a method we need to expose to Python */
 long updateSystrayLayout(long widget)
 {
-  karamba* currTheme = (karamba*)widget;
+  KarambaWidget* currTheme = (KarambaWidget*)widget;
 
   if (currTheme->systray != 0)
   {
Index: src/karambarootpixmap.cpp
===================================================================
--- src/karambarootpixmap.cpp	(revision 457467)
+++ src/karambarootpixmap.cpp	(working copy)
@@ -9,7 +9,7 @@
  ***************************************************************************/
 
 #include "karambarootpixmap.h"
-#include "karamba.h"
+#include "karambawidget.h"
 
 KarambaRootPixmap::KarambaRootPixmap(QWidget *w) :
   KRootPixmap( w)
@@ -31,6 +31,6 @@
 
 void  KarambaRootPixmap::updateBackground (KSharedPixmap *kpm)
 {
-  ((karamba*)widget)->updateBackground(kpm);
+  ((KarambaWidget*)widget)->updateBackground(kpm);
 }
 
Index: src/imagelabel.cpp
===================================================================
--- src/imagelabel.cpp	(revision 457467)
+++ src/imagelabel.cpp	(working copy)
@@ -122,7 +122,7 @@
 
 /***********************************************************************/
 
-ImageLabel::ImageLabel(karamba* k, int ix,int iy,int iw,int ih)
+ImageLabel::ImageLabel(KarambaWidget* k, int ix,int iy,int iw,int ih)
     :   Meter(k, ix,iy,iw,ih),
         zoomed(false),
         rollover(false),
@@ -137,7 +137,7 @@
 {
 }
 
-ImageLabel::ImageLabel(karamba* k)
+ImageLabel::ImageLabel(KarambaWidget* k)
     :   Meter(k),
         zoomed(false),
         rollover(false),
Index: src/clickarea.h
===================================================================
--- src/clickarea.h	(revision 457467)
+++ src/clickarea.h	(working copy)
@@ -41,7 +41,7 @@
 {
     Q_OBJECT
 public:
-    ClickArea(karamba* k, int x, int y, int w, int h );
+    ClickArea(KarambaWidget* k, int x, int y, int w, int h );
 
     ~ClickArea();
 
Index: src/main.cpp
===================================================================
--- src/main.cpp	(revision 457467)
+++ src/main.cpp	(working copy)
@@ -34,7 +34,7 @@
 #include <kstandarddirs.h>
 #include <kdeversion.h>
 
-#include "karamba.h"
+#include "karambawidget.h"
 #include "karambasessionmanaged.h"
 #include "karambainterface.h"
 #include "karamba_python.h"
Index: src/widget_python.cpp
===================================================================
--- src/widget_python.cpp	(revision 457467)
+++ src/widget_python.cpp	(working copy)
@@ -28,7 +28,7 @@
 
 #include <Python.h>
 #include <qobject.h>
-#include "karamba.h"
+#include "karambawidget.h"
 #include "meter.h"
 #include "meter_python.h"
 #include "widget_python.h"
@@ -36,14 +36,14 @@
 /* now a method we need to expose to Python */
 int getWidgetXCoordinate(long widget)
 {
-  karamba* currTheme = (karamba*)widget;
+  KarambaWidget* currTheme = (KarambaWidget*)widget;
   return currTheme->x();
 }
 
 /* now a method we need to expose to Python */
 int getWidgetYCoordinate(long widget)
 {
-  karamba* currTheme = (karamba*)widget;
+  KarambaWidget* currTheme = (KarambaWidget*)widget;
   return currTheme->y();
 }
 
@@ -61,7 +61,7 @@
 /* now a method we need to expose to Python */
 long createWidgetMask(long widget, char* path)
 {
-  karamba* currTheme = (karamba*)widget;
+  KarambaWidget* currTheme = (KarambaWidget*)widget;
   QBitmap bm;
   QString maskpath;
   QString rootPath;
@@ -100,7 +100,7 @@
 /* now a method we need to expose to Python */
 long redrawWidgetBackground(long widget)
 {
-  karamba* currTheme = (karamba*)widget;
+  KarambaWidget* currTheme = (KarambaWidget*)widget;
   currTheme->kroot->repaint(true);
   return 1;
 }
@@ -118,7 +118,7 @@
 /* now a method we need to expose to Python */
 long redrawWidget(long widget)
 {
-  karamba* currTheme = (karamba*)widget;
+  KarambaWidget* currTheme = (KarambaWidget*)widget;
   currTheme->externalStep();
   return 1;
 }
@@ -136,7 +136,7 @@
 /* now a method we need to expose to Python */
 long resizeWidget(long widget, long x, long y)
 {
-  karamba* currTheme = (karamba*)widget;
+  KarambaWidget* currTheme = (KarambaWidget*)widget;
   //currTheme->test = true;
   currTheme->setFixedSize((int)x,(int)y);
   //currTheme->test = false;
@@ -156,7 +156,7 @@
 /* now a method we need to expose to Python */
 long moveWidget(long widget, long x, long y)
 {
-  karamba* currTheme = (karamba*)widget;
+  KarambaWidget* currTheme = (KarambaWidget*)widget;
   currTheme->move((int)x, (int)y);
   return 1;
 }
@@ -174,7 +174,7 @@
 /* now a method we need to expose to Python */
 long toggleWidgetRedraw(long widget, bool b)
 {
-  karamba* currTheme = (karamba*)widget;
+  KarambaWidget* currTheme = (KarambaWidget*)widget;
   if (currTheme != 0)
   {
     currTheme->toggleWidgetUpdate( b );
Index: src/clickmap.h
===================================================================
--- src/clickmap.h	(revision 457467)
+++ src/clickmap.h	(working copy)
@@ -24,7 +24,7 @@
 {
 Q_OBJECT
 public:
-    ClickMap(karamba* k, int x, int y, int w, int h);
+    ClickMap(KarambaWidget* k, int x, int y, int w, int h);
     ~ClickMap();
 
     virtual bool click( QMouseEvent* );
Index: src/richtextlabel.cpp
===================================================================
--- src/richtextlabel.cpp	(revision 457467)
+++ src/richtextlabel.cpp	(working copy)
@@ -10,10 +10,10 @@
 
 #include <krun.h>
 #include <kdebug.h>
-#include "karamba.h"
+#include "karambawidget.h"
 #include "richtextlabel.h"
 
-RichTextLabel::RichTextLabel(karamba* k) :
+RichTextLabel::RichTextLabel(KarambaWidget* k) :
     Meter(k, 0, 0, 100, 100),
     text(0),
     source(""),
@@ -23,7 +23,7 @@
   originalSize = QSize(0, 0);
 }
 
-RichTextLabel::RichTextLabel(karamba* k, int x, int y, int w, int h) :
+RichTextLabel::RichTextLabel(KarambaWidget* k, int x, int y, int w, int h) :
     Meter(k, x, y, w, h),
     text(0),
     source(""),
Index: src/graph_python.cpp
===================================================================
--- src/graph_python.cpp	(revision 457467)
+++ src/graph_python.cpp	(working copy)
@@ -27,7 +27,7 @@
 #include <Python.h>
 #include <QObject>
 
-#include "karamba.h"
+#include "karambawidget.h"
 #include "meter.h"
 #include "meter_python.h"
 
@@ -47,8 +47,8 @@
     }
 
     Graph *tmp =
-        new Graph((karamba*)widget, (int)x, (int)y, (int)w, (int)h, (int)points);
-    ((karamba*)widget)->meterList.append(tmp);
+        new Graph((KarambaWidget*)widget, (int)x, (int)y, (int)w, (int)h, (int)points);
+    ((KarambaWidget*)widget)->meterList.append(tmp);
 
     return (Py_BuildValue((char*)"l", (long)tmp));
 }
@@ -65,10 +65,10 @@
         return NULL;
     }
 
-    ((karamba*)widget)->deleteMeterFromSensors((Meter*)meter);
+    ((KarambaWidget*)widget)->deleteMeterFromSensors((Meter*)meter);
 
     return Py_BuildValue((char*)"l",
-        ((karamba*)widget)->meterList.removeAll((Meter*)meter));
+        ((KarambaWidget*)widget)->meterList.removeAll((Meter*)meter));
 }
 
 PyObject* py_getThemeGraph(PyObject *self, PyObject *args)
Index: src/input.h
===================================================================
--- src/input.h	(revision 457467)
+++ src/input.h	(working copy)
@@ -37,7 +37,7 @@
 {
 Q_OBJECT
 public:
-  Input(karamba* k, int ix, int iy, int iw, int ih);
+  Input(KarambaWidget* k, int ix, int iy, int iw, int ih);
   Input();
 
   ~Input();
Index: src/graph.h
===================================================================
--- src/graph.h	(revision 457467)
+++ src/graph.h	(working copy)
@@ -20,7 +20,7 @@
 Q_OBJECT
 
 public:
-  Graph(karamba* k, int ix, int iy, int iw, int ih, int nbrPoints);
+  Graph(KarambaWidget* k, int ix, int iy, int iw, int ih, int nbrPoints);
   Graph();
   ~Graph();
 
Index: src/bar.h
===================================================================
--- src/bar.h	(revision 457467)
+++ src/bar.h	(working copy)
@@ -19,7 +19,7 @@
 {
 Q_OBJECT
 public:
-    Bar(karamba* k,int ix,int iy,int iw,int ih );
+    Bar(KarambaWidget* k,int ix,int iy,int iw,int ih );
     ~Bar();
 
     void mUpdate( QPainter * );
Index: src/clickmap.cpp
===================================================================
--- src/clickmap.cpp	(revision 457467)
+++ src/clickmap.cpp	(working copy)
@@ -15,7 +15,7 @@
 #include "clickmap.h"
 #include "clickmap.moc"
 
-ClickMap::ClickMap(karamba* k, int x, int y, int w, int h )
+ClickMap::ClickMap(KarambaWidget* k, int x, int y, int w, int h )
     :Meter(k, x, y, w, h )
 {
 /*
Index: src/karambalistboxitem.h
===================================================================
--- src/karambalistboxitem.h	(revision 457467)
+++ src/karambalistboxitem.h	(working copy)
@@ -18,7 +18,7 @@
  *  along with SuperKaramba; if not, write to the Free Software
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  ****************************************************************************/
-#include "karamba.h"
+#include "karambawidget.h"
 #include <q3listbox.h>
 
 class KarambaListBoxItem : public Q3ListBoxText 
Index: src/imagelabel.h
===================================================================
--- src/imagelabel.h	(revision 457467)
+++ src/imagelabel.h	(working copy)
@@ -35,7 +35,7 @@
 #include <kio/netaccess.h>
 #include <qregexp.h>
 #include <qtimer.h>
-#include "karamba.h"
+#include "karambawidget.h"
 
 class ImageLabel;
 class KIO::CopyJob;
@@ -102,8 +102,8 @@
 Q_OBJECT
 
 public:
-  ImageLabel(karamba* k, int ix,int iy,int iw,int ih );
-  ImageLabel(karamba* k);
+  ImageLabel(KarambaWidget* k, int ix,int iy,int iw,int ih );
+  ImageLabel(KarambaWidget* k);
   ~ImageLabel();
   void setValue( QString imagePath );
 
Index: src/Makefile.am
===================================================================
--- src/Makefile.am	(revision 457467)
+++ src/Makefile.am	(working copy)
@@ -16,11 +16,11 @@
 
 
 # these are the headers for your project
-noinst_HEADERS = karamba.h karambaapp.h karamba_python.h lineparser.h \
+noinst_HEADERS = karambawidget.h karambaapp.h karamba_python.h lineparser.h \
 		 themefile.h themesdlg.h themewidget.h kwidgetlistbox.h themelocale.h input.h \
 		 sklineedit.h input_python.h
 		 
-superkaramba_SOURCES = main.cpp karamba.cpp meter.cpp bar.cpp sensor.cpp \
+superkaramba_SOURCES = main.cpp karambawidget.cpp meter.cpp bar.cpp sensor.cpp \
                        textlabel.cpp imagelabel.cpp graph.cpp sensorparams.cpp \
 		       clickarea.cpp karambarootpixmap.cpp clickmap.cpp \
 		       textfield.cpp showdesktop.cpp richtextlabel.cpp \ 
Index: src/sklineedit.cpp
===================================================================
--- src/sklineedit.cpp	(revision 457467)
+++ src/sklineedit.cpp	(working copy)
@@ -19,7 +19,7 @@
  ****************************************************************************/
 
 #include "sklineedit.h"
-#include "karamba.h"
+#include "karambawidget.h"
 #include "kdebug.h"
 
 SKLineEdit::SKLineEdit(QWidget *w, Input *i) : QLineEdit(w), m_input(i)
@@ -68,7 +68,7 @@
 
 void SKLineEdit::keyReleaseEvent(QKeyEvent* e)
 {
-  karamba* k = static_cast<karamba*>(parent());
+  KarambaWidget* k = static_cast<KarambaWidget*>(parent());
   // e->text() is empty ?
   k->keyPressed(m_key, m_input);
   QLineEdit::keyReleaseEvent(e);
